petsc-3.10.5 2019-03-28
Report Typos and Errors

# MatAYPX

Computes Y = a*Y + X.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatAYPX(Mat Y,PetscScalar a,Mat X,MatStructure str)

Logically on Mat

### Input Parameters

| a | - the PetscScalar multiplier
| Y | - the first matrix
| X | - the second matrix
| str | - either SAME_NONZERO_PATTERN, DIFFERENT_NONZERO_PATTERN or SUBSET_NONZERO_PATTERN

### Keywords

matrix, add

### See Also

MatAXPY()

### Level

intermediate

### Location

src/mat/utils/axpy.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages